Generating a verification link
Once you've created an applicant, you can generate a hosted link for verification.
Last updated
Was this helpful?
Was this helpful?
curl --location 'https://enterprise.personr.co/api/1.1/wf/api-verificationlink-create' \
--form 'applicant="4242424242424x424242424242424242"'var axios = require('axios');
var FormData = require('form-data');
var data = new FormData();
data.append('applicant', '4242424242424x424242424242424242');
var config = {
method: 'post',
maxBodyLength: Infinity,
url: 'https://enterprise.personr.co/api/1.1/wf/api-verificationlink-create',
headers: {
...data.getHeaders()
},
data : data
};
axios(config)
.then(function (response) {
console.log(JSON.stringify(response.data));
})
.catch(function (error) {
console.log(error);
});var form = new FormData();
form.append("applicant", "4242424242424x424242424242424242");
var settings = {
"url": "https://enterprise.personr.co/api/1.1/wf/api-verificationlink-create",
"method": "POST",
"timeout": 0,
"processData": false,
"mimeType": "multipart/form-data",
"contentType": false,
"data": form
};
$.ajax(settings).done(function (response) {
console.log(response);
});require "uri"
require "net/http"
url = URI("https://enterprise.personr.co/api/1.1/wf/api-verificationlink-create")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
form_data = [['applicant', '4242424242424x424242424242424242']]
request.set_form form_data, 'multipart/form-data'
response = https.request(request)
puts response.read_bodyimport requests
url = "https://enterprise.personr.co/api/1.1/wf/api-verificationlink-create"
payload={'applicant': '4242424242424x424242424242424242'}
files=[
]
headers = {}
response = requests.request("POST", url, headers=headers, data=payload, files=files)
print(response.text){
"status": "success",
"response": {
"verificationLink": "https://enterprise.personr.co/verification/4242424242424x424242424242424242",
"customLink": "https://enterprise.personr.co/verification/4242424242424x424242424242424242"
}
}{
"statusCode": 400,
"message": "Error: incorrect applicantId provided"
}